PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_ColumnDimension

Source Location: /PHPExcel/Worksheet/ColumnDimension.php

### Class Overview

PHPExcel_Worksheet_ColumnDimension

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- getAutoSize
- getCollapsed
- getColumnIndex
- getOutlineLevel
- getVisible
- getWidth
- getXfIndex
- setAutoSize
- setCollapsed
- setColumnIndex
- setOutlineLevel
- setVisible
- setWidth
- setXfIndex
- __clone

### Class Details

[line 36]
PHPExcel_Worksheet_ColumnDimension

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 94]

`PHPExcel_Worksheet_ColumnDimension __construct( [string $pIndex = 'A'])`

Create a new PHPExcel_Worksheet_ColumnDimension

#### Tags:

access: | public

#### Parameters:

string | $pIndex | Character column index

[ Top ]

### method getAutoSize [line 148]

`bool getAutoSize( )`

Get Auto Size

#### Tags:

access: | public

[ Top ]

### method getCollapsed [line 215]

`bool getCollapsed( )`

Get Collapsed

#### Tags:

access: | public

[ Top ]

### method getColumnIndex [line 108]

`string getColumnIndex( )`

Get ColumnIndex

#### Tags:

access: | public

[ Top ]

### method getOutlineLevel [line 188]

`int getOutlineLevel( )`

Get Outline Level

#### Tags:

access: | public

[ Top ]

### method getVisible [line 168]

`bool getVisible( )`

Get Visible

#### Tags:

access: | public

[ Top ]

### method getWidth [line 128]

`double getWidth( )`

Get Width

#### Tags:

access: | public

[ Top ]

### method getXfIndex [line 235]

`int getXfIndex( )`

Get index to cellXf

#### Tags:

access: | public

[ Top ]

### method setAutoSize [line 158]

`PHPExcel_Worksheet_ColumnDimension setAutoSize( [bool $pValue = false])`

Set Auto Size

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method setCollapsed [line 225]

`PHPExcel_Worksheet_ColumnDimension setCollapsed( [bool $pValue = true])`

Set Collapsed

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method setColumnIndex [line 118]

`PHPExcel_Worksheet_ColumnDimension setColumnIndex( string $pValue)`

Set ColumnIndex

#### Tags:

access: | public

#### Parameters:

string | $pValue |

[ Top ]

### method setOutlineLevel [line 201]

`PHPExcel_Worksheet_ColumnDimension setOutlineLevel( int $pValue)`

Set Outline Level

Value must be between 0 and 7

#### Tags:

throws: | Exception
access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method setVisible [line 178]

`PHPExcel_Worksheet_ColumnDimension setVisible( [bool $pValue = true])`

Set Visible

#### Tags:

access: | public

#### Parameters:

bool | $pValue |

[ Top ]

### method setWidth [line 138]

`PHPExcel_Worksheet_ColumnDimension setWidth( [double $pValue = -1])`

Set Width

#### Tags:

access: | public

#### Parameters:

double | $pValue |

[ Top ]

### method setXfIndex [line 246]

`PHPExcel_Worksheet_ColumnDimension setXfIndex( [int $pValue = 0])`

Set index to cellXf

#### Tags:

access: | public

#### Parameters:

int | $pValue |

[ Top ]

### method __clone [line 255]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:31 +0200 by phpDocumentor 1.4.4